Stores the information about raw touches in a pool of object instances.

This class is purely for internal use of the TouchProcessor.

### Hierarchy

- TouchData

## Index

### Properties

- globalX
- globalY
- height
- id
- phase
- pressure
- width

### Methods

- fromPool
- toPool

## Properties

### globalX

globalX: number

- Defined in lib/starling/events/TouchData.d.ts:16

The x-position of the touch in stage coordinates.

### globalY

globalY: number

- Defined in lib/starling/events/TouchData.d.ts:19

The y-position of the touch in stage coordinates.

### height

height: number

- Defined in lib/starling/events/TouchData.d.ts:31

Height of the contact area. If the device does not support detecting the pressure, the value is 1.0.

### id

id: number

- Defined in lib/starling/events/TouchData.d.ts:10

The identifier of a touch. '0' for mouse events, an increasing number for touches.

### phase

phase: number

- Defined in lib/starling/events/TouchData.d.ts:13

The current phase the touch is in. @see TouchPhase

### pressure

pressure: number

- Defined in lib/starling/events/TouchData.d.ts:23

A value between 0.0 and 1.0 indicating force of the contact with the device. If the device does not support detecting the pressure, the value is 1.0.

### width

width: number

- Defined in lib/starling/events/TouchData.d.ts:27

Width of the contact area. If the device does not support detecting the pressure, the value is 1.0.

## Methods

### Static fromPool

- fromPool(touchID: number, phase: string, globalX: number, globalY: number, pressure?: number, width?: number, height?: number): TouchData

- - Defined in lib/starling/events/TouchData.d.ts:35

  Creates a new TouchData instance with the given properties or returns one from the object pool.

  #### Parameters

  - ##### touchID: number

  - ##### phase: string

  - ##### globalX: number

  - ##### globalY: number

  - ##### Default value pressure: number = 1

  - ##### Default value width: number = 1

  - ##### Default value height: number = 1

  #### Returns TouchData

### Static toPool

- toPool(rawTouch: TouchData): void

- - Defined in lib/starling/events/TouchData.d.ts:39

  Moves an instance back into the pool.

  #### Parameters

  - ##### rawTouch: TouchData

  #### Returns void

Generated using TypeDoc